Browse Source

Sync with portage [Wed Jan 25 08:30:58 MSK 2017].

mhiretskiy 740
root 6 years ago
parent
commit
3cbc49aea6
  1. 3
      app-admin/puppet-agent/puppet-agent-1.8.3-r2.ebuild
  2. 1
      app-crypt/gnupg/Manifest
  3. 34
      app-crypt/gnupg/files/gnupg-2.0.17-gpgsm-gencert.patch
  4. 123
      app-crypt/gnupg/gnupg-2.1.18.ebuild
  5. 1
      app-emulation/genymotion-bin/Manifest
  6. 107
      app-emulation/genymotion-bin/genymotion-bin-2.8.1.ebuild
  7. 18
      app-emulation/genymotion-bin/metadata.xml
  8. 4
      app-eselect/eselect-java/eselect-java-0.3.0.ebuild
  9. 2
      app-misc/pax-utils/Manifest
  10. 0
      app-misc/pax-utils/pax-utils-1.2.2.ebuild
  11. 4
      app-portage/genlop/genlop-0.30.10-r1.ebuild
  12. 4
      app-portage/genlop/genlop-0.30.10.ebuild
  13. 4
      app-portage/genlop/genlop-0.30.9-r1.ebuild
  14. 4
      app-portage/genlop/genlop-9999.ebuild
  15. 24
      app-text/zathura/files/zathura-0.3.7-tests.patch
  16. 6
      app-text/zathura/zathura-0.3.7.ebuild
  17. 1
      dev-embedded/libjaylink/Manifest
  18. 34
      dev-embedded/libjaylink/libjaylink-0.1.0.ebuild
  19. 1
      dev-embedded/openocd/Manifest
  20. 1
      dev-embedded/openocd/metadata.xml
  21. 147
      dev-embedded/openocd/openocd-0.10.0.ebuild
  22. 12
      dev-embedded/openocd/openocd-0.8.0.ebuild
  23. 12
      dev-embedded/openocd/openocd-0.9.0.ebuild
  24. 41
      dev-embedded/openocd/openocd-9999.ebuild
  25. 4
      dev-java/java-config/java-config-2.2.0-r3.ebuild
  26. 8
      dev-lang/perl/Manifest
  27. 122
      dev-lang/perl/perl-5.22.0.ebuild
  28. 122
      dev-lang/perl/perl-5.22.1.ebuild
  29. 122
      dev-lang/perl/perl-5.22.2.ebuild
  30. 517
      dev-lang/perl/perl-5.24.0-r1.ebuild
  31. 554
      dev-lang/perl/perl-5.24.0-r2.ebuild
  32. 153
      dev-libs/botan/botan-1.10.15-r1.ebuild
  33. 4
      dev-libs/botan/botan-2.0.1.ebuild
  34. 1
      dev-ml/llvm-ocaml/Manifest
  35. 13
      dev-ml/llvm-ocaml/llvm-ocaml-4.0.0_rc1.ebuild
  36. 3
      dev-python/PyQt4/PyQt4-4.11.4-r1.ebuild
  37. 5
      dev-python/PyQt4/PyQt4-4.12.ebuild
  38. 5
      dev-python/PyQt5/PyQt5-5.5.1.ebuild
  39. 5
      dev-python/PyQt5/PyQt5-5.6.1_pre1604271126.ebuild
  40. 5
      dev-python/PyQt5/PyQt5-5.7.1.ebuild
  41. 2
      dev-python/fonttools/fonttools-3.0.ebuild
  42. 16
      dev-python/hpack/hpack-2.3.0-r1.ebuild
  43. 1
      dev-python/keyrings_alt/Manifest
  44. 48
      dev-python/keyrings_alt/keyrings_alt-2.0.ebuild
  45. 1
      dev-python/lit/Manifest
  46. 15
      dev-python/lit/lit-4.0.0_rc1.ebuild
  47. 26
      dev-python/logilab-common/logilab-common-1.2.2.ebuild
  48. 1
      dev-python/pygit2/Manifest
  49. 27
      dev-python/pygit2/pygit2-0.25.0.ebuild
  50. 2
      dev-python/qscintilla-python/qscintilla-python-2.9.2-r1.ebuild
  51. 2
      dev-python/qscintilla-python/qscintilla-python-2.9.4-r1.ebuild
  52. 2
      dev-python/qscintilla-python/qscintilla-python-2.9.4.ebuild
  53. 2
      dev-python/setuptools/setuptools-30.4.0.ebuild
  54. 2
      dev-python/simpleeval/Manifest
  55. 2
      dev-python/simpleeval/simpleeval-0.9.3.ebuild
  56. 4
      dev-python/sip/sip-4.18.1.ebuild
  57. 2
      dev-python/sip/sip-4.18.ebuild
  58. 4
      dev-python/sip/sip-4.19.ebuild
  59. 4
      dev-python/sip/sip-4.9999.ebuild
  60. 5
      dev-util/idea-ultimate/Manifest
  61. 53
      dev-util/idea-ultimate/idea-ultimate-14.1.7.141.3058.30.ebuild
  62. 71
      dev-util/idea-ultimate/idea-ultimate-15.0.6.143.2370.31.ebuild
  63. 77
      dev-util/idea-ultimate/idea-ultimate-2016.1.2.145.972.3.ebuild
  64. 8
      dev-util/idea-ultimate/idea-ultimate-2016.3.3.163.11103.6.ebuild
  65. 2
      dev-util/lldb/Manifest
  66. 25
      dev-util/lldb/lldb-4.0.0_rc1.ebuild
  67. 6
      eclass/kernel-2.eclass
  68. 71
      games-action/chromium-bsu/chromium-bsu-0.9.15.1-r1.ebuild
  69. 48
      games-action/clanbomber/clanbomber-2.1.1-r1.ebuild
  70. 4
      games-action/clanbomber/files/clanbomber-2.1.1-automake112.patch
  71. 8
      games-action/clanbomber/files/clanbomber-2.1.1-boost150.patch
  72. 70
      games-action/cs2d/cs2d-1002-r1.ebuild
  73. 27
      games-action/deathchase3d/deathchase3d-0.9-r1.ebuild
  74. 4
      games-action/deathchase3d/files/deathchase3d-0.9-underlink.patch
  75. 51
      games-action/extreme-tuxracer/extreme-tuxracer-0.7.2-r1.ebuild
  76. 65
      games-action/fakk2/fakk2-1.02-r1.ebuild
  77. 48
      games-action/formido/formido-1.0.1-r1.ebuild
  78. 4
      games-action/garden/files/garden-1.0.8-dash.patch
  79. 8
      games-action/garden/files/garden-1.0.8-underlink.patch
  80. 4
      games-action/garden/files/garden-1.0.9-dash.patch
  81. 4
      games-action/garden/files/garden-1.0.9-resources.patch
  82. 52
      games-action/garden/garden-1.0.9-r1.ebuild
  83. 2
      games-util/lgogdownloader/Manifest
  84. 16
      games-util/lgogdownloader/lgogdownloader-3.1.ebuild
  85. 329
      licenses/genymotion
  86. 1
      mail-mta/postfix/files/postfix.service
  87. 0
      mail-mta/postfix/postfix-3.1.2-r2.ebuild
  88. 0
      mail-mta/postfix/postfix-3.1.4-r1.ebuild
  89. 2
      media-gfx/graphite2/graphite2-1.3.8.ebuild
  90. 5
      media-libs/mesa/mesa-9999.ebuild
  91. 1
      media-libs/phonon/Manifest
  92. 133
      media-libs/phonon/phonon-4.9.1.ebuild
  93. 2
      media-libs/phonon/phonon-9999.ebuild
  94. 2
      media-libs/vulkan-loader/Manifest
  95. 1
      media-libs/vulkan-loader/vulkan-loader-1.0.39.0.ebuild
  96. 1
      media-plugins/kodi-inputstream-adaptive/Manifest
  97. 37
      media-plugins/kodi-inputstream-adaptive/kodi-inputstream-adaptive-1.0.6.ebuild
  98. 2
      metadata/dtd/timestamp.chk
  99. 69
      metadata/glsa/glsa-201701-63.xml
  100. 2
      metadata/glsa/timestamp.chk

3
app-admin/puppet-agent/puppet-agent-1.8.3-r1.ebuild → app-admin/puppet-agent/puppet-agent-1.8.3-r2.ebuild

@ -32,7 +32,8 @@ RDEPEND="${CDEPEND}
app-portage/eix
sys-apps/dmidecode
sys-libs/glibc
sys-libs/readline:0
>=sys-libs/readline-6.0
<sys-libs/readline-7.0
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet

1
app-crypt/gnupg/Manifest

@ -2,3 +2,4 @@ DIST gnupg-1.4.21.tar.bz2 3689305 SHA256 6b47a3100c857dcab3c60e6152e56a997f2c786
DIST gnupg-2.0.28.tar.bz2 4435779 SHA256 ce092ee4ab58fd19b9fb34a460c07b06c348f4360dd5dd4886d041eb521a534c SHA512 7e786fe0648d5ea453f9c7524fec4bd7d5eec26d28f723acf3cb2f7ec9c400c339f0926a179411876c3f8e08b06942dcec643dc930caf58239bbd4932f4bd3c1 WHIRLPOOL ccf7427e54a545914e89677618055a114b4c9dc4db48669a2fc726fced98475df4ed27c93bd180f1250d147111ee663c736cdf4e1d8afdc40ed967cdffd0eb66
DIST gnupg-2.1.15.tar.bz2 5723689 SHA256 c28c1a208f1b8ad63bdb6b88d252f6734ff4d33de6b54e38494b11d49e00ffdd SHA512 69c943e853e1a37e8b17b3bc34e1503f14bc8f189fa9f3ac6644bcc98ccce6eaef64da20ff9dd1c8de3a7789ea577167984ccf3ac286cac50752e6f7c2f42ab1 WHIRLPOOL 4c5a8cd4e8b7196f4a355ce7739cf6e23c43817414e10bbba219117e4e51c4c618ffb5dbce27cb836a2171eda58e003d5ddf78d4af09a813c2a1729963413151
DIST gnupg-2.1.17.tar.bz2 5970042 SHA256 c5dc54db432209fa8f9bdb071c8fb60a765ff28e363150e30bdd4543160243cb SHA512 f826100be4f0480b9a2c68a51dd668e0fd551fd250a37dbe906fe5a89c658b4861a0567038bf687473de9901e268809c1b8d8c200008e082a3ace189d9829b9c WHIRLPOOL d70fa5ae0a90d5c9fa594d79cdb9bc1528b7db1a35d23ee7d3f047b4fb275d02bd8f5e6ccb0a798fedf539c8c384d3713295785183266de43fe3cb978c47916b
DIST gnupg-2.1.18.tar.bz2 6308666 SHA256 d04c6fab7e5562ce4b915b22020e34d4c1a256847690cf149842264fc7cef994 SHA512 b8357f0a883a33c2e4f6ab5a8f5ddb171c899b7a2899e8ce4cac232938fe1dffb789a54980dfc4b758c4cb47f11f1fc570fea905244735048dfc6f06b3353baf WHIRLPOOL c5f132beb3b454146747fe14cd12576fb4d9a9adb8cfd80fcae4482b111672fd38e412dba72caa75af717069d7182a99c7f30ea03dc9adf190f5aa1f01748247

34
app-crypt/gnupg/files/gnupg-2.0.17-gpgsm-gencert.patch

@ -0,0 +1,34 @@
From c34486a64c223bcbfbb57d9abcf107d684b815b6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Diego=20Elio=20Petten=C3=B2?= <flameeyes@gmail.com>
Date: Sun, 17 Apr 2011 01:34:39 +0200
Subject: [PATCH] gpgsm-gencert.sh: make sure not to abort after creating temp
file.
https://bugs.g10code.com/gnupg/issue1466
---
tools/gpgsm-gencert.sh | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/tools/gpgsm-gencert.sh b/tools/gpgsm-gencert.sh
index b209c8e..e7c812f 100755
--- a/tools/gpgsm-gencert.sh
+++ b/tools/gpgsm-gencert.sh
@@ -178,10 +178,10 @@ Key-Length: $KEY_LENGTH
Key-Usage: $KEY_USAGE
Name-DN: $NAME
EOF
-[ -n "$KEY_GRIP" ] && echo "Key-Grip: $KEY_GRIP"
-[ -n "$EMAIL_ADDRESSES" ] && echo "$EMAIL_ADDRESSES"
-[ -n "$DNS_ADDRESSES" ] && echo "$DNS_ADDRESSES"
-[ -n "$URI_ADDRESSES" ] && echo "$URI_ADDRESSES"
+[ -n "$KEY_GRIP" ] && echo "Key-Grip: $KEY_GRIP" || true
+[ -n "$EMAIL_ADDRESSES" ] && echo "$EMAIL_ADDRESSES" || true
+[ -n "$DNS_ADDRESSES" ] && echo "$DNS_ADDRESSES" || true
+[ -n "$URI_ADDRESSES" ] && echo "$URI_ADDRESSES" || true
) > "$file_parameter"
--
1.7.5.rc1

123
app-crypt/gnupg/gnupg-2.1.18.ebuild

@ -0,0 +1,123 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="6"
inherit eutils flag-o-matic toolchain-funcs
DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="http://www.gnupg.org/"
LICENSE="GPL-3"
MY_P="${P/_/-}"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-fbsd ~x86-freebsd ~x86-macos"
SLOT="0"
IUSE="bzip2 doc +gnutls ldap nls readline selinux +smartcard tofu tools usb wks-server"
COMMON_DEPEND_LIBS="
>=dev-libs/npth-1.2
>=dev-libs/libassuan-2.4.3
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgpg-error-1.24
>=dev-libs/libksba-1.3.4
>=net-misc/curl-7.10
gnutls? ( >=net-libs/gnutls-3.0:0= )
sys-libs/zlib
ldap? ( net-nds/openldap )
bzip2? ( app-arch/bzip2 )
readline? ( sys-libs/readline:0= )
smartcard? ( usb? ( virtual/libusb:0 ) )
tofu? ( >=dev-db/sqlite-3.7 )
"
COMMON_DEPEND_BINS="app-crypt/pinentry
!app-crypt/dirmngr"
# Existence of executables is checked during configuration.
DEPEND="${COMMON_DEPEND_LIBS}
${COMMON_DEPEND_BINS}
nls? ( sys-devel/gettext )
doc? ( sys-apps/texinfo )"
RDEPEND="${COMMON_DEPEND_LIBS}
${COMMON_DEPEND_BINS}
selinux? ( sec-policy/selinux-gpg )
nls? ( virtual/libintl )"
S="${WORKDIR}/${MY_P}"
DOCS=(
ChangeLog NEWS README THANKS TODO VERSION
doc/FAQ doc/DETAILS doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER
)
PATCHES=(
"${FILESDIR}/${PN}-2.1.16-gpgscm-Use-shorter-socket-path-lengts-to-improve-tes.patch"
)
src_configure() {
local myconf=()
if use smartcard; then
myconf+=(
--enable-scdaemon
$(use_enable usb ccid-driver)
)
else
myconf+=( --disable-scdaemon )
fi
if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi
# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == *clang ]] && \
export gl_cv_absolute_stdint_h=/usr/include/stdint.h
econf \
"${myconf[@]}" \
$(use_enable bzip2) \
$(use_enable gnutls) \
$(use_enable nls) \
$(use_enable tofu) \
$(use_enable wks-server wks-tools) \
$(use_with ldap) \
$(use_with readline) \
--enable-gpg \
--enable-gpgsm \
--enable-large-secmem \
--enable-tools \
CC_FOR_BUILD="$(tc-getBUILD_CC)"
}
src_compile() {
default
use doc && emake -C doc html
}
src_install() {
default
use tools &&
dobin \
tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys} \
tools/make-dns-cert
emake DESTDIR="${ED}" -f doc/Makefile uninstall-nobase_dist_docDATA
dosym gpg2 /usr/bin/gpg
dosym gpgv2 /usr/bin/gpgv
echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1
echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg
use doc && dodoc doc/gnupg.html/* doc/*.png
}

1
app-emulation/genymotion-bin/Manifest

@ -0,0 +1 @@
DIST genymotion-2.8.1_x64.bin 47061574 SHA256 4f971beb117c578d07ca71a7a8d6cd3a574fdee2df48eb165a15a26b57625408 SHA512 8ca4f46e983ffa2a19c21e961b6638af859f7635bd3a976c0b5709622a536569c81ccf3b08f52f0016e37990d83b1fd38cc86c9dbb5599e727fd48558567dfa7 WHIRLPOOL 2ccd896f1f017d2399366d822b5615b607fe74d557d3c3b6c746bdd2814cd081835397608a08f1135367cb79a26e19917f0f4186d1e535b63f347647afbbc5ce

107
app-emulation/genymotion-bin/genymotion-bin-2.8.1.ebuild

@ -0,0 +1,107 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit eutils bash-completion-r1
MY_PN="${PN/-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Complete set of tools that provide a virtual environment for Android"
HOMEPAGE="http://genymotion.com"
SRC_URI="${MY_P}_x64.bin"
DOWNLOAD_URL="https://www.genymotion.com/download/"
LICENSE="genymotion"
SLOT="0"
KEYWORDS="-* ~amd64"
DEPEND=""
RDEPEND="|| ( >=app-emulation/virtualbox-5.0.28 >=app-emulation/virtualbox-bin-5.0.28 )
virtual/opengl
media-libs/libpng:1.2
dev-libs/openssl
dev-qt/qtgui:5[libinput,xcb]
dev-qt/qtsql:5[sqlite]
dev-util/android-sdk-update-manager
media-libs/jpeg:8
dev-libs/protobuf:0/9
dev-libs/double-conversion
sys-apps/util-linux
media-libs/fontconfig:1.0
media-libs/harfbuzz[graphite]
>=dev-libs/libffi-3.0.13-r1
media-libs/gstreamer[orc]
"
RESTRICT="fetch"
pkg_nofetch() {
einfo
einfo "Please visit ${DOWNLOAD_URL} and download ${MY_P}_x64.bin"
einfo "which must be placed in ${DISTDIR}"
einfo
}
pkg_setup() {
# removed function _install_desktop_file because happens outside of sandbox
sed -i -e "s/_install_desktop_file\ ||\ abort//" "${DISTDIR}"/${A} || die "sed failed"
chmod +x "${DISTDIR}"/${A} || die "chmod failed"
}
src_unpack() {
yes | "${DISTDIR}"/${A} -d "${S}" > /dev/null || die "unpack failed"
}
src_prepare() {
default
# removed windows line for bashcompletion
sed -i -e "s/complete\ -F\ _gmtool\ gmtool.exe//" "${S}/${MY_PN}/completion/bash/gmtool.bash" || die "sed failed"
}
QA_PREBUILT="
opt/${MY_PN}/*.so*
opt/${MY_PN}/imageformats/*.so
opt/${MY_PN}/plugins/*.so*
opt/${MY_PN}/device-upgrade
opt/${MY_PN}/${MY_PN}
opt/${MY_PN}/genyshell
opt/${MY_PN}/player
opt/${MY_PN}/${MY_PN}adbtunneld
opt/${MY_PN}/gmtool
"
src_install() {
insinto /opt/"${MY_PN}"
doins -r "${MY_PN}"/{plugins,translations,icons}
doins "${MY_PN}"/{libcom,librendering}.so*
# library that differ from system version
doins "${MY_PN}"/{libicudata,libicui18n,libicuuc,libswscale,libavutil}.so*
# android library
doins "${MY_PN}"/{libEGL_translator,libGLES_CM_translator,libGLES_V2_translator,libOpenglRender}.so*
insopts -m0755
doins "${MY_PN}"/{device-upgrade,genymotion,genyshell,player,genymotionadbtunneld,gmtool}
dosym "${ED%/}"/opt/"${MY_PN}"/genyshell /opt/bin/genyshell
dosym "${ED%/}"/opt/"${MY_PN}"/"${MY_PN}" /opt/bin/"${MY_PN}"
dosym "${ED%/}"/opt/"${MY_PN}"/device-upgrade /opt/bin/"${MY_PN}"-device-upgrade
dosym "${ED%/}"/opt/"${MY_PN}"/player /opt/bin/"${MY_PN}"-player
dosym "${ED%/}"/opt/"${MY_PN}"/"${MY_PN}"adbtunneld /opt/bin/"${MY_PN}"adbtunneld
dosym "${ED%/}"/opt/"${MY_PN}"/gmtool /opt/bin/gmtool
# Workaround
dosym "${ED%/}/"usr/$(get_libdir)/qt5/plugins/imageformats/libqsvg.so /opt/"${MY_PN}"/imageformats/libqsvg.so
newbashcomp "${MY_PN}/completion/bash/gmtool.bash" gmtool
if has_version "app-shells/zsh" ; then
insinto /usr/share/zsh/site-functions
doins "${MY_PN}/completion/zsh/_gmtool"
fi
make_desktop_entry "/opt/${MY_PN}/${MY_PN}" "Genymotion ${PV}" "/opt/${MY_PN}/icons/icon.png" "Development;Emulator;"
mv "${ED%/}"/usr/share/applications/*.desktop "${ED%/}"/usr/share/applications/"${MY_PN}".desktop || die "mv failed"
}

18
app-emulation/genymotion-bin/metadata.xml

@ -0,0 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>fedeliallalinea@gmail.com</email>
<name>Marco Genasci</name>
<description>Please assign bugs</description>
</maintainer>
<maintainer type="person">
<email>mudler@gentoo.org</email>
<name>Ettore Di Giacinto</name>
<description>proxy-maintainer, please CC on bugs</description>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

4
app-eselect/eselect-java/eselect-java-0.3.0.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -12,7 +12,7 @@ SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="

2
app-misc/pax-utils/Manifest

@ -1,3 +1,3 @@
DIST pax-utils-1.1.6.tar.xz 647308 SHA256 f5436c517bea40f7035ec29a6f34034c739b943f2e3a080d76df5dfd7fd41b12 SHA512 c5bdb3ee076c5f4d026f811a59329014c539e3bb3ab45aec92564dcc4abcedaebc50bec55c37aeccfe9e31c554ec7789426fcb3d6f67a8d805843f32c5993f94 WHIRLPOOL 6addfc63dd821a3a0f1ebb2f0545bf81b933bed7aa4950efc51c4af3c8a9dd2263fe09c469bb371a5cb7ae239db646876548a2c21b08c1ed87dd974228eb2679
DIST pax-utils-1.1.7.tar.xz 648376 SHA256 bb9bdbf0888de9444b53b78f7b8069af9832bac7cef0588030b8ce49e8ebad10 SHA512 cec176cf5863b15acc058cbd99639f5f456346136d0551ce5875cb66c28dd0f6e7f5077b0c06751a3a68984b5c4386c232d3db8b76aa4f4b326b0b692835fdeb WHIRLPOOL 07972470889ff3f4a85f1528bc6c49ae11c3161dfe0df4ab0c3ea83affdc36d0fce36f4db5a0811290958d51e477da99476a12bf35108c4a3b147004a0584541
DIST pax-utils-1.2.1.tar.xz 655848 SHA256 bccd31aec3266f49641b043055f08b4e38f3e5d5a3a80e9b270b2712dec1fef0 SHA512 844671a8da123ab7cdc119ff33b2613dfb17998e5f4ad7c50a7fd046362f52f008cb5916f6acc9ad96a8cbef8b65a2623e3cd9eeffcde235eeba61b76137fa38 WHIRLPOOL b1225826a6235df1b2a5df2b23a1456822a4880632cee3c50569097bc865755e2ea312ec1f591729b507568c2dbf0ed75d02effda8cddec376a0c3f0934fada0
DIST pax-utils-1.2.2.tar.xz 655964 SHA256 7f4a7f8db6b4743adde7582fa48992ad01776796fcde030683732f56221337d9 SHA512 6bafe93f3b84d4595b6adfa09b46a3dd249f309fe836d90115e9aa5fcc7da37b03f743e80719dfe6bcdb739ce6ec3843170a5513e196c348721f850e19d3e38c WHIRLPOOL c95ce5dc26d7e913d9e0963d47b5cedbc71cb1faf52ca7bb04898b2bcaa9f6c521f2236e2475d41954c93061267f0fcca5053d4dae3cf12bb59fdc986612dfdb

0
app-misc/pax-utils/pax-utils-1.2.1.ebuild → app-misc/pax-utils/pax-utils-1.2.2.ebuild

4
app-portage/genlop/genlop-0.30.10-r1.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -7,7 +7,7 @@ EAPI=5
inherit base bash-completion-r1
DESCRIPTION="A nice emerge.log parser"
HOMEPAGE="https://www.gentoo.org/proj/en/perl"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Perl"
SRC_URI="https://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.gz"
LICENSE="GPL-2"

4
app-portage/genlop/genlop-0.30.10.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -7,7 +7,7 @@ EAPI=5
inherit bash-completion-r1
DESCRIPTION="A nice emerge.log parser"
HOMEPAGE="https://www.gentoo.org/proj/en/perl"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Perl"
SRC_URI="https://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.gz"
LICENSE="GPL-2"

4
app-portage/genlop/genlop-0.30.9-r1.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -7,7 +7,7 @@ EAPI="5"
inherit base bash-completion-r1
DESCRIPTION="A nice emerge.log parser"
HOMEPAGE="https://www.gentoo.org/proj/en/perl"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Perl"
SRC_URI="mirror://gentoo//${P}.tar.gz"
LICENSE="GPL-2"

4
app-portage/genlop/genlop-9999.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -8,7 +8,7 @@ inherit git-2 bash-completion-r1
EGIT_REPO_URI="git://github.com/gentoo-perl/genlop.git"
DESCRIPTION="A nice emerge.log parser"
HOMEPAGE="https://www.gentoo.org/proj/en/perl"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Perl"
SRC_URI=""
LICENSE="GPL-2"

24
app-text/zathura/files/zathura-0.3.7-tests.patch

@ -0,0 +1,24 @@
--- zathura-0.3.7/tests/Makefile
+++ zathura-0.3.7/tests/Makefile
@@ -7,7 +7,11 @@
include config.mk
PROJECT = tests
-SOURCE = tests.c $(wildcard test_*.c)
+ifneq (${WITH_SQLITE},0)
+ SOURCE = tests.c $(wildcard test_*.c)
+else
+ SOURCE = $(filter-out database-sqlite.c,tests.c $(wildcard test_*.c))
+endif
OBJECTS = $(addprefix ${BUILDDIR_RELEASE}/,${SOURCE:.c=.o})
OBJECTS_DEBUG = $(addprefix ${BUILDDIR_DEBUG}/,${SOURCE:.c=.o})
OBJECTS_GCOV = $(addprefix ${BUILDDIR_GCOV}/,${SOURCE:.c=.o})
@@ -23,8 +27,6 @@
INCS += $(SQLITE_INC)
LIBS += $(SQLITE_LIB)
CPPFLAGS += -DWITH_SQLITE
-else
-SOURCE = $(filter-out database-sqlite.c,$(OSOURCE))
endif
ifneq ($(WITH_MAGIC),0)

6
app-text/zathura/zathura-0.3.7.ebuild

@ -36,6 +36,12 @@ DEPEND="${RDEPEND}
virtual/pkgconfig
test? ( dev-libs/check )"
src_prepare() {
epatch "${FILESDIR}"/${P}-tests.patch
epatch_user
}
pkg_setup() {
myzathuraconf=(
WITH_MAGIC=$(usex magic 1 0)

1
dev-embedded/libjaylink/Manifest

@ -0,0 +1 @@
DIST libjaylink-0.1.0.tar.xz 53820 SHA256 df7d27b78a5c800c1a26f83d1d723f9d30e4c3122c760fe062e9b451606a1516 SHA512 9031da29adb703b771cb049d76bec5033b6885321d8ac411984ac800224677f9b201c92553d150450c4a6898826c06189ee4fdc1048430edaef89704e31ec21a WHIRLPOOL 1a7716f98bfb8772f24db746251155a4ba7f0072448ca9db44a07b0f07f31c1eb2c32d724a648f6f742980e40d1e2ccc5b5b2d808cd16800359e2a9112f4c0b2

34
dev-embedded/libjaylink/libjaylink-0.1.0.ebuild

@ -0,0 +1,34 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="6"
inherit autotools eutils
DESCRIPTION="Library to access J-Link devices"
HOMEPAGE="http://git.zapb.de/libjaylink.git"
SRC_URI="https://dev.gentoo.org/~zerochaos/distfiles/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="static-libs"
DEPEND="virtual/libusb:1"
RDEPEND="${DEPEND}"
src_prepare() {
eapply_user
eautoreconf || die
}
src_configure() {
econf $(use_enable static-libs static)
}
src_install() {
default
prune_libtool_files
}

1
dev-embedded/openocd/Manifest

@ -1,3 +1,4 @@
DIST openocd-0.10.0.tar.gz 6124274 SHA256 eda3b03919cc0ffb70e7de9c877092a0311aaaa4e1532937e9f86ac1863fe526 SHA512 44b303b0df1d7c13bc18b8995493de64fed7a853704455d484dfc4a74a1ba4b0d42b4679a7009ec015dc71c47152e5556a1a02665cfafe7af80c608b68d8310a WHIRLPOOL 535fd53cc2a6b9e2f8fe5705806cad39832d3b7911f97a705c968ddf27981d000bfa0f707110645739aa2d792b2fbb46e6adf12dcbff394a07f9fb7376b37259
DIST openocd-0.5.0.tar.bz2 2228655 SHA256 0bc122f98a6cd68c4392f6265d480b0e875ff54203ec05a5a52d23900903a78d SHA512 8e2e168a35bf3f753683115fd5f4d4c79e54cd0fe5d072921475d43880619e5b4ab60f28d97a4a595d4b77938b9218e689013f66a925ee8007e6499f5b42448c WHIRLPOOL 84b6a4a9089542904865400ede82be00c4417519f0c9fc42cbb25ae671f621651e9b27f57c2a1e7f37102d53095bcb8e37601e8ed47ddf1ea82b76676b35e7aa
DIST openocd-0.6.1.tar.bz2 3431071 SHA256 f4c4cc7445ad79cfba1bb24208e79c66edf9dc0c46b3c8fca391f4e41c942f2b SHA512 59f35750f761d3f2ce7a32ffdc5028d053fda2bd9424cc4497f528ec628ac1f022662d9f226dd2b04a8cd682a5cd056a09de14d50e1090426a816bb602f98250 WHIRLPOOL 81d43ce9866960edb7fdaefc5ec088852aaa79e86add67ea9682f26eb5f5d3e7c7523fde0729e15949af165470b44ded45b9d79662f651db56fd109db5074cad
DIST openocd-0.7.0.tar.bz2 3493924 SHA256 52237b786530c8460b221556c26fa4779f668b7dcb83ff14b8c5eb2050f38e63 SHA512 bfba267e5cda558b347f6fab1a286353b97d81093c0457ac044667baa369f5cd47a07b3ce6a1ceb66e7992c2e4224765458dd859d0a6fa748ad8e6f80ea541ad WHIRLPOOL eb83e201becb22a72ad954bdd5e66e61e587b42856244e4fdce59af5d263a2879cb8e0d89e10bcff515cff199580997c1c6635064601ad31a803b19dd9c99702

1
dev-embedded/openocd/metadata.xml

@ -14,6 +14,7 @@
<flag name="blaster">Enable support for Altera USE-Blaster</flag>
<flag name="cmsis-dap">Support for CMSIS-DAP compliant adapters</flag>
<flag name="dummy">Build the dummy port driver</flag>
<flag name="jlink"> Build the SEGGER J-Link driver</flag>
<flag name="minidriver">Build the dummy minidriver</flag>
<flag name="ftd2xx">Enable support for USB FTDI chips via <pkg>dev-embedded/libftd2xx</pkg></flag>
<flag name="ftdi">Enable support for USB FTDI chips via <pkg>dev-embedded/libftdi</pkg></flag>

147
dev-embedded/openocd/openocd-0.10.0.ebuild

@ -0,0 +1,147 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib flag-o-matic toolchain-funcs udev user
# One ebuild to rule them all
if [[ ${PV} == "9999" ]] ; then
inherit autotools git-2
EGIT_REPO_URI="git://git.code.sf.net/p/${PN}/code"
EGIT_PROJECT="${PN}"
else
MY_PV="${PV/_/-}"
MY_P="${PN}-${MY_PV}"
S="${WORKDIR}"/${MY_P}
KEYWORDS="~amd64 ~arm ~x86"
SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${MY_PV}/${MY_P}.tar.gz"
fi
DESCRIPTION="OpenOCD - Open On-Chip Debugger"
HOMEPAGE="http://openocd.sourceforge.net"
LICENSE="GPL-2+"
SLOT="0"
IUSE="+cmsis-dap dummy +ftdi +jlink parport +usb verbose-io"
RESTRICT="strip" # includes non-native binaries
RDEPEND=">=dev-lang/jimtcl-0.76
cmsis-dap? ( dev-libs/hidapi )
jlink? ( dev-embedded/libjaylink )
usb? (
virtual/libusb:0
virtual/libusb:1
)
ftdi? ( dev-embedded/libftdi:= )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
[[ ${PV} == "9999" ]] && DEPEND+=" >=sys-apps/texinfo-5" #549946
pkg_setup() {
enewgroup plugdev
}
src_prepare() {
epatch_user
if [[ ${PV} == "9999" ]] ; then
AT_NO_RECURSIVE=yes eautoreconf
fi
}
src_configure() {
# Here are some defaults
local myconf=(
--enable-buspirate
--disable-werror
--disable-internal-jimtcl
--disable-internal-libjaylink
--enable-amtjtagaccel
--enable-ep93xx
--enable-at91rm9200
--enable-gw16012
--enable-arm-jtag-ew
--enable-sysfsgpio
--enable-bcm2835gpio
)
# Adapters requiring usb/libusb-1.X support
if use usb; then
myconf+=(
--enable-aice
--enable-usb-blaster-2
--enable-ftdi
--enable-ti-icdi
--enable-ulink
--enable-osbdm
--enable-opendous
--enable-usbprog
--enable-rlink
--enable-stlink
--enable-vsllink
--enable-armjtagew
$(use_enable verbose-io verbose-usb-io)
$(use_enable verbose-io verbose_usb_comms)
)
else
myconf+=(
--disable-aice
--disable-usb-blaster-2
--disable-ftdi
--disable-ti-icdi
--disable-ulink
--disable-osbdm
--disable-opendous
--disable-usbprog
--disable-rlink
--disable-stlink
--disable-vsllink
--disable-armjtagew
)
fi
if use jlink; then
myconf+=(
--enable-jlink
)
else
myconf+=(
--disable-jlink
)
fi
if use ftdi; then
myconf+=(
--enable-usb-blaster
--enable-openjtag
--enable-presto
)
else
myconf+=(
--disable-openjtag
--disable-presto
--disable-usb-blaster
)
fi
econf \
$(use_enable dummy) \
$(use_enable cmsis-dap) \
$(use_enable parport) \
$(use_enable parport parport_ppdev) \
$(use_enable verbose-io verbose-jtag-io) \
"${myconf[@]}"
}
src_install() {
default
env -uRESTRICT prepstrip "${ED}"/usr/bin
udev_dorules "${D}"/usr/share/${PN}/contrib/*.rules
}
pkg_postinst() {
elog "To access openocd devices as user you must be in the plugdev group"
}

12
dev-embedded/openocd/openocd-0.8.0.ebuild

@ -1,10 +1,10 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib flag-o-matic toolchain-funcs udev
inherit eutils multilib flag-o-matic toolchain-funcs udev user
# One ebuild to rule them all
if [[ ${PV} == "9999" ]] ; then
@ -38,6 +38,10 @@ RDEPEND=">=dev-lang/jimtcl-0.75
DEPEND="${RDEPEND}
virtual/pkgconfig"
pkg_setup() {
enewgroup plugdev
}
src_prepare() {
epatch_user
@ -131,3 +135,7 @@ src_install() {
env -uRESTRICT prepstrip "${ED}"/usr/bin "${ED}"/usr/$(get_libdir)
udev_dorules "${D}"/usr/share/${PN}/contrib/*.rules
}
pkg_postinst() {
elog "To access openocd devices as user you must be in the plugdev group"
}

12
dev-embedded/openocd/openocd-0.9.0.ebuild

@ -1,10 +1,10 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib flag-o-matic toolchain-funcs udev
inherit eutils multilib flag-o-matic toolchain-funcs udev user
# One ebuild to rule them all
if [[ ${PV} == "9999" ]] ; then
@ -38,6 +38,10 @@ RDEPEND=">=dev-lang/jimtcl-0.76
DEPEND="${RDEPEND}
virtual/pkgconfig"
pkg_setup() {
enewgroup plugdev
}
src_prepare() {
epatch_user
@ -127,3 +131,7 @@ src_install() {
env -uRESTRICT prepstrip "${ED}"/usr/bin
udev_dorules "${D}"/usr/share/${PN}/contrib/*.rules
}
pkg_postinst() {
elog "To access openocd devices as user you must be in the plugdev group"
}

41
dev-embedded/openocd/openocd-9999.ebuild

@ -1,10 +1,10 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils multilib flag-o-matic toolchain-funcs udev
inherit eutils multilib flag-o-matic toolchain-funcs udev user
# One ebuild to rule them all
if [[ ${PV} == "9999" ]] ; then
@ -24,12 +24,12 @@ HOMEPAGE="http://openocd.sourceforge.net"
LICENSE="GPL-2+"
SLOT="0"
IUSE="cmsis-dap dummy ftdi parport +usb verbose-io"
IUSE="+cmsis-dap dummy +ftdi +jlink parport +usb verbose-io"
RESTRICT="strip" # includes non-native binaries
RDEPEND=">=dev-lang/jimtcl-0.76
dev-embedded/libjaylink
cmsis-dap? ( dev-libs/hidapi )
jlink? ( dev-embedded/libjaylink )
usb? (
virtual/libusb:0
virtual/libusb:1
@ -40,6 +40,10 @@ DEPEND="${RDEPEND}
virtual/pkgconfig"
[[ ${PV} == "9999" ]] && DEPEND+=" >=sys-apps/texinfo-5" #549946
pkg_setup() {
enewgroup plugdev
}
src_prepare() {
epatch_user
@ -59,7 +63,6 @@ src_configure() {
--enable-ep93xx
--enable-at91rm9200
--enable-gw16012
--enable-oocd_trace
--enable-arm-jtag-ew
--enable-sysfsgpio
--enable-bcm2835gpio
@ -76,7 +79,6 @@ src_configure() {
--enable-osbdm
--enable-opendous
--enable-usbprog
--enable-jlink
--enable-rlink
--enable-stlink
--enable-vsllink
@ -94,7 +96,6 @@ src_configure() {
--disable-osbdm
--disable-opendous
--disable-usbprog
--disable-jlink
--disable-rlink
--disable-stlink
--disable-vsllink
@ -102,17 +103,27 @@ src_configure() {
)
fi
if use jlink; then
myconf+=(
--enable-jlink
)
else
myconf+=(
--disable-jlink
)
fi
if use ftdi; then
myconf+=(
--enable-usb_blaster_libftdi
--enable-openjtag_ftdi
--enable-presto_libftdi
--enable-usb-blaster
--enable-openjtag
--enable-presto
)
else
myconf+=(
--disable-openjtag_ftdi
--disable-presto_libftdi
--disable-usb_blaster_libftdi
--disable-openjtag
--disable-presto
--disable-usb-blaster
)
fi
@ -130,3 +141,7 @@ src_install() {
env -uRESTRICT prepstrip "${ED}"/usr/bin
udev_dorules "${D}"/usr/share/${PN}/contrib/*.rules
}
pkg_postinst() {
elog "To access openocd devices as user you must be in the plugdev group"
}

4
dev-java/java-config/java-config-2.2.0-r3.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -15,7 +15,7 @@ SRC_URI="https://dev.gentoo.org/~sera/distfiles/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="2"
KEYWORDS="amd64 ~arm ppc64 x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="amd64 ~arm ~arm64 ppc64 x86 ~amd64-fbsd ~x86-fbsd"
IUSE="test"
DEPEND="test? ( sys-apps/portage[${PYTHON_USEDEP}] )"

8
dev-lang/perl/Manifest

@ -1,16 +1,8 @@
DIST perl-5.20.2-patches-1.tar.xz 14640 SHA256 c084291cdf3e78b8fa2901f79e92f1e93aece7b7b8cb4e931a5df9616b0f6ba5 SHA512 5be0314529e926efcad1e73aebef73a72b86587a31ae68a93b8446edd5cea293027c61d41727b993611d7fb1d694b7740b7ed948dc59cd29ea7ad2646e7be327 WHIRLPOOL ea554c09531778bd655e4208943393cdcdb72d980956c609a6cd0da18ee74c3204d51c8151094bad7e602b6bab5f2bb55f35d632beabfdde9ab35ef374e7494c
DIST perl-5.20.2-patches-2.tar.xz 15892 SHA256 5ca37bdd05c770d4d33e59116093d5083bdaffd9212541c7de08d5b8495e9bcd SHA512 6c892a5eb8f9fc1bf4a3c69ed751f22895e4d545e5e70f9c73d54d61121818b4ea220d80a31db4269aca9a7805688d2013c8128e27c013051d4d12d56922f6ed WHIRLPOOL 37c6b9f84a0d9b83220e21d323aea96f00487b37666a48b351fffc7a36c913c43532ab2bcbfd0ab8bca42f95d4bb78d210c20df164861f97e2ddc5e5ffc35a5c
DIST perl-5.20.2.tar.bz2 13717128 SHA256 e5a4713bc65e1da98ebd833dce425c000768bfe84d17ec5183ec5ca249db71ab SHA512 1da867f04137e84cc6f4148fd7c15933cdc675939bf20f524b659b3c3a6225a18efe9f4cd8c445b9536f3efc13f1c5b696fcf14584e1f20ad1f908a9b6ca509c WHIRLPOOL 5654f824c57b4c78a6b4cd250e2055ec541def9a04b976444bbc80ced82105b1e9a283b809535a9092fc21eb6613ab4464f59575bc42f961698bbe70aa5a81a7
DIST perl-5.22.0-patches-1.tar.xz 20892 SHA256 9abd87880c9c91e89e88eb467c124ba66fe3955b526802ad186b030a51a408f8 SHA512 53d5a49d12237aa39dc6ae2cffb9e22bc3776c3e78a3a5a37b4e0a0930eea0a33bf7ce4ab5f0e32d4dc68d0af8341b356de003558c88fb8686e826aee4055870 WHIRLPOOL fd1cc0ebf32664211cf263e2d8e9e1ddf29bad0835e6f377e20ba5dfdd80250f49ff663e2f449dd5e11e3d26a26a2fb51924dde3a5c490cce375c05d990a9e32
DIST perl-5.22.0.tar.bz2 13811518 SHA256 3689fdb519133d039f49e12834764ff4c1de8f8d925dea44a952ca110d0ac9f7 SHA512 97e770d9bc9acbb7fa6939207a46d9a2887a61971c1ae1c8d6b5071bfc0d68a0f539486fea81ba81966f716d7ae532273a27a6baaf323e73fbd5c5eb9bf01fa4 WHIRLPOOL 9416c17323edc9ee5affb8a6d857e9ecf1ac5d7d37ca7d8703bfd15541c97f1031a9c669c9a41d8deb974676e197c0c7be753ad988f050f5fbb5b01942eacb3a
DIST perl-5.22.1-patches-1.tar.xz 19920 SHA256 c128b4d1575f3bcf1952a1526b5725fabb6dcd779c7458a05a73aae51ecc1508 SHA512 2a0a74c935273ae3eafaebc6ed20c730a49f542433d899d51baaa3c3e7a291974fcef734d6320895811b4a6944c4e36b2a01400ed751a11c5d3edd6491bbf41b WHIRLPOOL 58888d5c3d35a217e9f61ee9f1406ea5383d192b0875dc736f124613056f71837d84346431127be3c56ae780394aa86cd18d9fad9740e7970e704beb5d2bf112
DIST perl-5.22.1.tar.bz2 13696599 SHA256 e98e4075a3167fa40524abe447c30bcca10c60e02a54ee1361eff278947a1221 SHA512 4da26b1d3d8525c58677abd2c5c354ccaa4b1b260ebe7dfe379d51a5da00ac7ae06cb668011faac2aaf56229fd22b275c13a74c8c9dbc59cc155a36c0e7e8355 WHIRLPOOL 03d8a050421f1f1899ad8b195d61d0cc55ce061b39ab4dab41b0fbb079a4871d76e968943b83e8165f2f4d1fa42bc87e1c6780aeae1ccc22a720115dfddf17cb
DIST perl-5.22.2-patches-1.tar.xz 19920 SHA256 c128b4d1575f3bcf1952a1526b5725fabb6dcd779c7458a05a73aae51ecc1508 SHA512 2a0a74c935273ae3eafaebc6ed20c730a49f542433d899d51baaa3c3e7a291974fcef734d6320895811b4a6944c4e36b2a01400ed751a11c5d3edd6491bbf41b WHIRLPOOL 58888d5c3d35a217e9f61ee9f1406ea5383d192b0875dc736f124613056f71837d84346431127be3c56ae780394aa86cd18d9fad9740e7970e704beb5d2bf112
DIST perl-5.22.2.tar.bz2 13717881 SHA256 f2322b9b04fe0cdbca9fe755360da04892cb6483d44959457cfebc0bcddc8058 SHA512 1acb77ead47955ef6e8d84903e86cb584ee9415742fb99eb2f1f30772087e8ed0def5f643ce4ee7693df5a1dfe154b108aa85df232d81107f98820bb84a0d71a WHIRLPOOL bdfd1035728619abafeb679cdd3181269a91fad5c30f4995e91d5ae16cb65210ce2c4c47afe85eb192ebde88c0bbc4cd0ed77939acdfd09760b11b57eeace2a6
DIST perl-5.22.3-RC4-patches-2.tar.xz 23180 SHA256 d5c6ead7322e5d38f9395589a24fd8eb29882a7c522a7659afa8876f878b1004 SHA512 2dcc8a3bae3a0bf7f79d74ff5651db471be259b8e2dee96c1338ff97345842dbe7ec1234c511233ece4f9ea3fc5979e826a4fcffb997c579740bf494d9581126 WHIRLPOOL 6b2eeb64b208acb71a9c3f9dd4f3e3730b5f37b82c99636215acd52c40179c662a52b25bb2ccbe491efac5fe3e1bf70a65c90fcb89964244e9f8dff60100f22b
DIST perl-5.22.3-RC4.tar.xz 11233496 SHA256 cd35050f1a45c48389133285870cf310d1fe5d342c52de10fd47b296e102e4ae SHA512 5c63edcfc319f7946bbee84943a0af78f58d376028c2952d0917fee32c390eae09d4456a82bfa4d0f21c69b7977c2e800c539c487e17a2d102fbceadddd75255 WHIRLPOOL b94e97d1545acc82c82cd1df400e374c2c8a9764ae1d050495eeb99c428bf12923ea36f937e17996e6f885d19bab8ca2a51eb4ad52b639d7b781460b8282777f
DIST perl-5.24.0-patches-2.tar.xz 17760 SHA256 8f9ce8895b85d6195cfa10690a28a9b8dbac683cb159ed3f3103e7b5f2bbf18d SHA512 1159dd53d40641f71c301e4be95c8964e6787cdc446578e66e8c97238fc99558c98b1fbc9e89b2d38206364e598ff1544ca1291c14a422d95089f0eea8926cc2 WHIRLPOOL e18ecf63532609dc36c7252f03a1a4d28529b9804dbb9c0d70cc1418a243ff9168a621cadeee52f69919a70312c83232c0857f907f991886cfae870ed4590286
DIST perl-5.24.0.tar.bz2 14155784 SHA256 62328a53d157e8153b33e137594155f6f8b64418f7f9238210feb809585290e0 SHA512 05ecc6774da475d14f426a850be7adf754fcb17a2fa85a67aeaf8ddb9c86ae8b1ee654e803ebae5ccdaa73ad3e35188e3254ac9452b47cd4f8ffe47e67d15f53 WHIRLPOOL 84c98ddb19a5c6d32f40b427ba1f82656f88cfe5b7d3f416fb92579436890af52299f05301a81692dfdae65594b1866081e1fee067623256d796855d87d532ad
DIST perl-5.24.1-RC4-patches-2.tar.xz 18464 SHA256 543318d735c2f1951d7c73d4415d1045021f19c69e953cf2d954eea9f84ffecb SHA512 9582a149404c2abc0f8b4329a65063d2022a2b212e68f83550303a5544825fb6b16dd1ee7a8d10bb216b70ded9a899eba931892c66989a78214d8d97c8cdb35f WHIRLPOOL 5c99c07198e7265177a5aa223b92791a744b4bb7990383ee361e1f7042bba146e54688def22e7b51b44f5a6db492f9311d3094937026203a91d2fe7be81edf08
DIST perl-5.24.1-RC4.tar.xz 11553836 SHA256 6da6333809eb2b35b17ee3c25b7f0327da32fad7214b296b662ccd9883b8bc59 SHA512 f7108210048c8253a693e32df4b2f2da2cda7d7215c8d104a831554e6b59c7a85c395b14cc33c8939c25cdccd1d441784508a7623e511b8737f74b93a6fcbfc2 WHIRLPOOL f19d3dac9810d284c1661c4aa84550a97ee6786fc210329858f1dead72ac53c7e295e2bc3e5c7c34b43e506fce2d682832eb540d61a0ca34824ff4629ffb77e8
DIST perl-cross-1.1.1.tar.gz 88283 SHA256 8ee72f39119b342f3b911266e5c965914a44a484fd18d9c444d106aca4dd7abc SHA512 8ad958d08d8e7ff2b80333959544aaf0e83a74f2e34c9e8aca543052d039c0f4b00cda694ee940874b192b0d83656a9f6854ebbf2c444b212ba9d4417c576591 WHIRLPOOL e6739ca8fc4dcafa14a20585d75931cf6b6a98fad9c732312d15507b29b926452668afc4f27f2b6c5bb6faa623fc506538a53ed9d303d21897f42d47c26e4924

122
dev-lang/perl/perl-5.22.0.ebuild

@ -1,122 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils alternatives flag-o-matic toolchain-funcs multilib multiprocessing
PATCH_VER=1
PERL_OLDVERSEN=""
MODULE_AUTHOR=SHAY
SHORT_PV="${PV%.*}"
MY_P="perl-${PV/_rc/-RC}"
MY_PV="${PV%_rc*}"
DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
SRC_URI="
mirror://cpan/src/5.0/${MY_P}.tar.bz2
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
https://dev.gentoo.org/~civil/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
"
HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux ~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix ~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd ~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux ~x86-macos ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="
berkdb? ( sys-libs/db:= )
gdbm? ( >=sys-libs/gdbm-1.8.3 )
app-arch/bzip2
sys-libs/zlib
"
DEPEND="${RDEPEND}
!prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
"
PDEPEND="
>=app-admin/perl-cleaner-2.5
>=virtual/perl-File-Temp-0.230.400-r2
>=virtual/perl-Data-Dumper-2.154.0
virtual/perl-Test-Harness
"
# bug 390719, bug 523624
# virtual/perl-Test-Harness is here for the bundled ExtUtils::MakeMaker
S="${WORKDIR}/${MY_P}"
dual_scripts() {
src_remove_dual perl-core/Archive-Tar 2.40.0 ptar ptardiff ptargrep
src_remove_dual perl-core/Digest-SHA 5.950.0 shasum
src_remove_dual perl-core/CPAN 2.110.0 cpan
src_remove_dual perl-core/Encode 2.720.0 enc2xs piconv
src_remove_dual perl-core/ExtUtils-MakeMaker 7.40.100 instmodsh
src_remove_dual perl-core/ExtUtils-ParseXS 3.280.0 xsubpp
src_remove_dual perl-core/IO-Compress 2.68.0 zipdetails
src_remove_dual perl-core/JSON-PP 2.273.0 json_pp
src_remove_dual perl-core/Module-CoreList 5.201.505.200 corelist
src_remove_dual perl-core/Pod-Parser 1.630.0 pod2usage podchecker podselect
src_remove_dual perl-core/Pod-Perldoc 3.250.0 perldoc
src_remove_dual perl-core/Test-Harness 3.350.0 prove
src_remove_dual perl-core/podlators 2.5.3 pod2man pod2text
src_remove_dual_man perl-core/podlators 2.5.3 /usr/share/man/man1/perlpodstyle.1
}
# eblit-include [--skip] <function> [version]
eblit-include() {
local skipable=false
[[ $1 == "--skip" ]] && skipable=true && shift
[[ $1 == pkg_* ]] && skipable=true
local e v func=$1 ver=$2
[[ -z ${func} ]] && die "Usage: eblit-include <function> [version]"
for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
e="${FILESDIR}/eblits/${func}${v}.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
return 0
fi
done
${skipable} && return 0
die "Could not locate requested eblit '${func}' in ${FILESDIR}/eblits/"
}
# eblit-run-maybe <function>
# run the specified function if it is defined
eblit-run-maybe() {
[[ $(type -t "$@") == "function" ]] && "$@"
}
# eblit-run <function> [version]
# aka: src_unpack() { eblit-run src_unpack ; }
eblit-run() {
eblit-include --skip common "${*:2}"
eblit-include "$@"
eblit-run-maybe eblit-$1-pre
eblit-${PN}-$1
eblit-run-maybe eblit-$1-post
}
src_prepare() { eblit-run src_prepare v50160001 ; }
src_configure() { eblit-run src_configure v50180002 ; }
#src_compile() { eblit-run src_compile v50160001 ; }
src_test() {
export NO_GENTOO_NETWORK_TESTS=1;
eblit-run src_test v50160001 ;
}
src_install() { eblit-run src_install v50200001 ; }
# FILESDIR might not be available during binpkg install
# FIXME: version passing
for x in setup {pre,post}{inst,rm} ; do
e="${FILESDIR}/eblits/pkg_${x}-v50220001.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
eval "pkg_${x}() { eblit-run pkg_${x} v50160001 ; }"
fi
done

122
dev-lang/perl/perl-5.22.1.ebuild

@ -1,122 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils alternatives flag-o-matic toolchain-funcs multilib multiprocessing
PATCH_VER=1
PERL_OLDVERSEN="5.22.0"
MODULE_AUTHOR=SHAY
SHORT_PV="${PV%.*}"
MY_P="perl-${PV/_rc/-RC}"
MY_PV="${PV%_rc*}"
DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
SRC_URI="
mirror://cpan/src/5.0/${MY_P}.tar.bz2
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
https://dev.gentoo.org/~dilfridge/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
"
HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux ~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix ~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd ~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux ~x86-macos ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="
berkdb? ( sys-libs/db:= )
gdbm? ( >=sys-libs/gdbm-1.8.3 )
app-arch/bzip2
sys-libs/zlib
"
DEPEND="${RDEPEND}
!prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
"
PDEPEND="
>=app-admin/perl-cleaner-2.5
>=virtual/perl-File-Temp-0.230.400-r2
>=virtual/perl-Data-Dumper-2.154.0
virtual/perl-Test-Harness
"
# bug 390719, bug 523624
# virtual/perl-Test-Harness is here for the bundled ExtUtils::MakeMaker
S="${WORKDIR}/${MY_P}"
dual_scripts() {
src_remove_dual perl-core/Archive-Tar 2.40.0 ptar ptardiff ptargrep
src_remove_dual perl-core/Digest-SHA 5.950.0 shasum
src_remove_dual perl-core/CPAN 2.110.0 cpan
src_remove_dual perl-core/Encode 2.720.0 enc2xs piconv
src_remove_dual perl-core/ExtUtils-MakeMaker 7.40.100 instmodsh
src_remove_dual perl-core/ExtUtils-ParseXS 3.280.0 xsubpp
src_remove_dual perl-core/IO-Compress 2.68.0 zipdetails
src_remove_dual perl-core/JSON-PP 2.273.0 json_pp
src_remove_dual perl-core/Module-CoreList 5.201.512.130 corelist
src_remove_dual perl-core/Pod-Parser 1.630.0 pod2usage podchecker podselect
src_remove_dual perl-core/Pod-Perldoc 3.250.0 perldoc
src_remove_dual perl-core/Test-Harness 3.350.0 prove
src_remove_dual perl-core/podlators 2.5.3 pod2man pod2text
src_remove_dual_man perl-core/podlators 2.5.3 /usr/share/man/man1/perlpodstyle.1
}
# eblit-include [--skip] <function> [version]
eblit-include() {
local skipable=false
[[ $1 == "--skip" ]] && skipable=true && shift
[[ $1 == pkg_* ]] && skipable=true
local e v func=$1 ver=$2
[[ -z ${func} ]] && die "Usage: eblit-include <function> [version]"
for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
e="${FILESDIR}/eblits/${func}${v}.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
return 0
fi
done
${skipable} && return 0
die "Could not locate requested eblit '${func}' in ${FILESDIR}/eblits/"
}
# eblit-run-maybe <function>
# run the specified function if it is defined
eblit-run-maybe() {
[[ $(type -t "$@") == "function" ]] && "$@"
}
# eblit-run <function> [version]
# aka: src_unpack() { eblit-run src_unpack ; }
eblit-run() {
eblit-include --skip common "${*:2}"
eblit-include "$@"
eblit-run-maybe eblit-$1-pre
eblit-${PN}-$1
eblit-run-maybe eblit-$1-post
}
src_prepare() { eblit-run src_prepare v50160001 ; }
src_configure() { eblit-run src_configure v50180002 ; }
#src_compile() { eblit-run src_compile v50160001 ; }
src_test() {
export NO_GENTOO_NETWORK_TESTS=1;
eblit-run src_test v50160001 ;
}
src_install() { eblit-run src_install v50200001 ; }
# FILESDIR might not be available during binpkg install
# FIXME: version passing
for x in setup {pre,post}{inst,rm} ; do
e="${FILESDIR}/eblits/pkg_${x}-v50220001.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
eval "pkg_${x}() { eblit-run pkg_${x} v50160001 ; }"
fi
done

122
dev-lang/perl/perl-5.22.2.ebuild

@ -1,122 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils alternatives flag-o-matic toolchain-funcs multilib multiprocessing
PATCH_VER=1
PERL_OLDVERSEN="5.22.0 5.22.1"
MODULE_AUTHOR=SHAY
SHORT_PV="${PV%.*}"
MY_P="perl-${PV/_rc/-RC}"
MY_PV="${PV%_rc*}"
DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
SRC_URI="
mirror://cpan/src/5.0/${MY_P}.tar.bz2
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
https://dev.gentoo.org/~dilfridge/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
"
HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="
berkdb? ( sys-libs/db:= )
gdbm? ( >=sys-libs/gdbm-1.8.3 )
app-arch/bzip2
sys-libs/zlib
"
DEPEND="${RDEPEND}
!prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
"
PDEPEND="
>=app-admin/perl-cleaner-2.5
>=virtual/perl-File-Temp-0.230.400-r2
>=virtual/perl-Data-Dumper-2.154.0
virtual/perl-Test-Harness
"
# bug 390719, bug 523624
# virtual/perl-Test-Harness is here for the bundled ExtUtils::MakeMaker
S="${WORKDIR}/${MY_P}"
dual_scripts() {
src_remove_dual perl-core/Archive-Tar 2.40.0 ptar ptardiff ptargrep
src_remove_dual perl-core/Digest-SHA 5.950.0 shasum
src_remove_dual perl-core/CPAN 2.110.0 cpan
src_remove_dual perl-core/Encode 2.720.0 enc2xs piconv
src_remove_dual perl-core/ExtUtils-MakeMaker 7.40.100 instmodsh
src_remove_dual perl-core/ExtUtils-ParseXS 3.280.0 xsubpp
src_remove_dual perl-core/IO-Compress 2.68.0 zipdetails
src_remove_dual perl-core/JSON-PP 2.273.0 json_pp
src_remove_dual perl-core/Module-CoreList 5.201.604.290 corelist
src_remove_dual perl-core/Pod-Parser 1.630.0 pod2usage podchecker podselect
src_remove_dual perl-core/Pod-Perldoc 3.250.0 perldoc
src_remove_dual perl-core/Test-Harness 3.350.0 prove
src_remove_dual perl-core/podlators 2.5.3 pod2man pod2text
src_remove_dual_man perl-core/podlators 2.5.3 /usr/share/man/man1/perlpodstyle.1
}
# eblit-include [--skip] <function> [version]
eblit-include() {
local skipable=false
[[ $1 == "--skip" ]] && skipable=true && shift
[[ $1 == pkg_* ]] && skipable=true
local e v func=$1 ver=$2
[[ -z ${func} ]] && die "Usage: eblit-include <function> [version]"
for v in ${ver:+-}${ver} -${PVR} -${PV} "" ; do
e="${FILESDIR}/eblits/${func}${v}.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
return 0
fi
done
${skipable} && return 0
die "Could not locate requested eblit '${func}' in ${FILESDIR}/eblits/"
}
# eblit-run-maybe <function>
# run the specified function if it is defined
eblit-run-maybe() {
[[ $(type -t "$@") == "function" ]] && "$@"
}
# eblit-run <function> [version]
# aka: src_unpack() { eblit-run src_unpack ; }
eblit-run() {
eblit-include --skip common "${*:2}"
eblit-include "$@"
eblit-run-maybe eblit-$1-pre
eblit-${PN}-$1
eblit-run-maybe eblit-$1-post
}
src_prepare() { eblit-run src_prepare v50160001 ; }
src_configure() { eblit-run src_configure v50180002 ; }
#src_compile() { eblit-run src_compile v50160001 ; }
src_test() {
export NO_GENTOO_NETWORK_TESTS=1;
eblit-run src_test v50160001 ;
}
src_install() { eblit-run src_install v50200001 ; }
# FILESDIR might not be available during binpkg install
# FIXME: version passing
for x in setup {pre,post}{inst,rm} ; do
e="${FILESDIR}/eblits/pkg_${x}-v50220001.eblit"
if [[ -e ${e} ]] ; then
. "${e}"
eval "pkg_${x}() { eblit-run pkg_${x} v50160001 ; }"
fi
done

517
dev-lang/perl/perl-5.24.0-r1.ebuild

@ -1,517 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit eutils alternatives flag-o-matic toolchain-funcs multilib multiprocessing
PATCH_VER=2
PERL_OLDVERSEN=""
MODULE_AUTHOR=RJBS
SHORT_PV="${PV%.*}"
MY_P="perl-${PV/_rc/-RC}"
MY_PV="${PV%_rc*}"
DESCRIPTION="Larry Wall's Practical Extraction and Report Language"
SRC_URI="
mirror://cpan/src/5.0/${MY_P}.tar.bz2
mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MY_P}.tar.bz2
mirror://gentoo/${MY_P}-patches-${PATCH_VER}.tar.xz
https://dev.gentoo.org/~dilfridge/distfiles/${MY_P}-patches-${PATCH_VER}.tar.xz
"
HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux ~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix ~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd ~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux ~x86-macos ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="
berkdb? ( sys-libs/db:= )
gdbm? ( >=sys-libs/gdbm-1.8.3 )
app-arch/bzip2
sys-libs/zlib
"
DEPEND="${RDEPEND}
!prefix? ( elibc_FreeBSD? ( sys-freebsd/freebsd-mk-defs ) )
"
PDEPEND="
>=app-admin/perl-cleaner-2.5
>=virtual/perl-File-Temp-0.230.400-r2
>=virtual/perl-Data-Dumper-2.154.0
virtual/perl-Test-Harness
"
# bug 390719, bug 523624
# virtual/perl-Test-Harness is here for the bundled ExtUtils::MakeMaker
S="${WORKDIR}/${MY_P}"
dual_scripts() {
src_remove_dual perl-core/Archive-Tar 2.40.0 ptar ptardiff ptargrep
src_remove_dual perl-core/Digest-SHA 5.950.0 shasum
src_remove_dual perl-core/CPAN 2.110.0 cpan
src_remove_dual perl-core/Encode 2.800.0 enc2xs piconv
src_remove_dual perl-core/ExtUtils-MakeMaker 7.100.100_rc instmodsh
src_remove_dual perl-core/ExtUtils-ParseXS 3.310.0 xsubpp
src_remove_dual perl-core/IO-Compress 2.69.0 zipdetails
src_remove_dual perl-core/JSON-PP 2.273.0 json_pp
src_remove_dual perl-core/Module-CoreList 5.201.605.60 corelist
src_remove_dual perl-core/Pod-Parser 1.630.0 pod2usage podchecker podselect
src_remove_dual perl-core/Pod-Perldoc 3.250.200_rc perldoc
src_remove_dual perl-core/Test-Harness 3.360.0 prove
src_remove_dual perl-core/podlators 4.70.0 pod2man pod2text
src_remove_dual_man perl-core/podlators 4.70.0 /usr/share/man/man1/perlpodstyle.1
}
check_rebuild() {
# Fresh install
if [[ -z "${REPLACING_VERSIONS}" ]]; then
return 0;
# Major Upgrade
# doesn't matter if there's multiple copies, it still needs a rebuild
# if the string is anything other than "5.CURRENTMAJOR"
elif [[ "${REPLACING_VERSIONS%.*}" != "${PV%.*}" ]]; then
echo ""
ewarn "UPDATE THE PERL MODULES:"
ewarn "After updating dev-lang/perl the installed Perl modules"
ewarn "have to be re-installed. In most cases, this is done automatically"
ewarn "by the package manager, but subsequent steps are still recommended"
ewarn "to ensure system consistency."
ewarn
ewarn "You should start with a depclean to remove any unused perl dependencies"
ewarn "that may confuse portage in future. Regular depcleans are also encouraged"
ewarn "as part of your regular update cycle, as that will keep perl upgrades working."
ewarn "Recommended: emerge --depclean -va"
ewarn
ewarn "You should then call perl-cleaner to clean up any old files and trigger any"
ewarn "remaining rebuilds portage may have missed."
ewarn "Use: perl-cleaner --all"
return 0;
# Reinstall w/ USE Change
elif ( use ithreads && ! has_version dev-lang/perl[ithreads] ) || \
( ! use ithreads && has_version dev-lang/perl[ithreads] ) || \
( use debug && ! has_version dev-lang/perl[debug] ) || \
( ! use debug && has_version dev-lang/perl[debug] ) ; then
echo ""
ewarn "TOGGLED USE-FLAGS WARNING:"
ewarn "You changed one of the use-flags ithreads or debug."
ewarn "You must rebuild all perl-modules installed."
ewarn "Use: perl-cleaner --modules ; perl-cleaner --force --libperl"
fi
}
pkg_setup() {
case ${CHOST} in
*-freebsd*) osname="freebsd" ;;
*-dragonfly*) osname="dragonfly" ;;
*-netbsd*) osname="netbsd" ;;
*-openbsd*) osname="openbsd" ;;
*-darwin*) osname="darwin" ;;
*-interix*) osname="interix" ;;
*-aix*) osname="aix" ;;
*-cygwin*) osname="cygwin" ;;
*) osname="linux" ;;
esac
myarch="${CHOST%%-*}-${osname}"
if use debug ; then
myarch+="-debug"
fi
if use ithreads ; then
mythreading="-multi"
myarch+="-thread"
fi
LIBPERL="libperl$(get_libname ${MY_PV} )"
PRIV_LIB="/usr/$(get_libdir)/perl5/${MY_PV}"
ARCH_LIB="/usr/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
SITE_LIB="/usr/local/$(get_libdir)/perl5/${MY_PV}"
SITE_ARCH="/usr/local/$(get_libdir)/perl5/${MY_PV}/${myarch}${mythreading}"
VENDOR_LIB="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}"
VENDOR_ARCH="/usr/$(get_libdir)/perl5/vendor_perl/${MY_PV}/${myarch}${mythreading}"
dual_scripts
}
src_remove_dual_file() {
local i pkg ver
pkg="$1"
ver="$2"
shift 2
case "${EBUILD_PHASE:-none}" in
postinst|postrm)
for i in "$@" ; do
alternatives_auto_makesym "${i}" "${i}-[0-9]*"
done
;;
setup)
for i in "$@" ; do
if [[ -f ${EROOT}${i} && ! -h ${EROOT}${i} ]] ; then
has_version ${pkg} && ewarn "You must reinstall ${pkg} !"
break
fi
done
;;
install)
for i in "$@" ; do
if ! [[ -f "${ED}"${i} ]] ; then
ewarn "${i} does not exist!"
continue
fi
mv "${ED}"${i}{,-${ver}-${P}} || die
done
;;
esac
}
src_remove_dual_man() {
local i pkg ver ff
pkg="$1"
ver="$2"
shift 2
case "${EBUILD_PHASE:-none}" in
postinst|postrm)
for i in "$@" ; do
ff=`echo "${EROOT}${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}}"*`
ff=${ff##*${i#${i%.[0-9]}}}
alternatives_auto_makesym "${i}${ff}" "${i%.[0-9]}-[0-9]*"
done
;;
install)
for i in "$@" ; do
if ! [[ -f "${ED}"${i} ]] ; then
ewarn "${i} does not exist!"
continue
fi
mv "${ED}"${i} "${ED}"${i%.[0-9]}-${ver}-${P}${i#${i%.[0-9]}} || die
done
;;
esac
}
src_remove_dual() {
local i pkg ver
pkg="$1"
ver="$2"
shift 2
for i in "$@" ; do
src_remove_dual_file "${pkg}" "${ver}" "/usr/bin/${i}"
src_remove_dual_man "${pkg}" "${ver}" "/usr/share/man/man1/${i}.1"
done
}
src_prepare_update_patchlevel_h() {
# Copied and modified from debian:
# Copyright 2011 Niko Tyni
# This program is free software; you can redistribute it and/or modify
# it under the same terms as Perl itself.
local patchdir="${WORKDIR}/patches"
local prefix
local patchoutput="patchlevel-gentoo.h"
[[ -f ${patchdir}/series ]] || return 0
while read patch
do
patchname=$(echo $patch | sed 's/\.diff$//')
< $patchdir/$patch sed -e '/^Subject:/ { N; s/\n / / }' | sed -n -e '
# massage the patch headers
s|^Bug: .*https\?://rt\.perl\.org/.*id=\(.*\).*|[perl #\1]|; tprepend;
s|^Bug: .*https\?://rt\.cpan\.org/.*id=\(.*\).*|[rt.cpan.org #\1]|; tprepend;
s|^Bug-Gentoo: ||; tprepend;
s/^\(Subject\|Description\): //; tappend;
s|^Origin: .*http://perl5\.git\.perl\.org/perl\.git/commit\(diff\)\?/\(.......\).*|[\2]|; tprepend;
# post-process at the end of input
$ { x;
# include the version number in the patchlevel.h description (if available)
s/List packaged patches/&'" for ${PF}(#${PATCH_VER})"'/;
# escape any backslashes and double quotes
s|\\|\\\\|g; s|"|\\"|g;
# add a prefix
s|^|\t,"'"$prefix$patchname"' - |;
# newlines away
s/\n/ /g; s/ */ /g;
# add a suffix
s/ *$/"/; p
};
# stop all processing
d;
# label: append to the hold space
:append H; d;
# label: prepend to the hold space
:prepend x; H; d;
'
done < "${WORKDIR}"/patches/series > "${S}/${patchoutput}"
echo "${patchoutput}" >> "${S}/MANIFEST"
}
src_prepare() {
local patch
EPATCH_OPTS+=" -p1"
einfo "Applying patches from ${MY_P}-${PATCH_VER} ..."
while read patch ; do
EPATCH_SINGLE_MSG=" ${patch} ..."
epatch "${WORKDIR}"/patches/${patch}
done < "${WORKDIR}"/patches/series
src_prepare_update_patchlevel_h
if ! tc-is-static-only ; then
ln -s ${LIBPERL} libperl$(get_libname ${SHORT_PV}) || die
ln -s ${LIBPERL} libperl$(get_libname ) || die
fi
default
}
myconf() {
# the myconf array is declared in src_configure
myconf=( "${myconf[@]}" "$@" )
}
src_configure() {
declare -a myconf
export LC_ALL="C"
[[ ${COLUMNS:-1} -ge 1 ]] || unset COLUMNS # bug #394091
# some arches and -O do not mix :)
use ppc && replace-flags -O? -O1
# Perl has problems compiling with -Os in your flags with glibc
use elibc_uclibc || replace-flags "-Os" "-O2"
# This flag makes compiling crash in interesting ways
filter-flags "-malign-double"
# Fixes bug #97645
use ppc && filter-flags "-mpowerpc-gpopt"
# Fixes bug #143895 on gcc-4.1.1
filter-flags "-fsched2-use-superblocks"
use sparc && myconf -Ud_longdbl
export BUILD_BZIP2=0
export BZIP2_INCLUDE=${EPREFIX}/usr/include
export BZIP2_LIB=${EPREFIX}/usr/$(get_libdir)
export BUILD_ZLIB=False
export ZLIB_INCLUDE=${EPREFIX}/usr/include
export ZLIB_LIB=${EPREFIX}/usr/$(get_libdir)
# allow either gdbm to provide ndbm (in <gdbm/ndbm.h>) or db1
myndbm='U'
mygdbm='U'
mydb='U'
if use gdbm ; then
mygdbm='D'
myndbm='D'
fi
if use berkdb ; then
mydb='D'
has_version '=sys-libs/db-1*' && myndbm='D'
fi
myconf "-${myndbm}i_ndbm" "-${mygdbm}i_gdbm" "-${mydb}i_db"
if use alpha && [[ "$(tc-getCC)" = "ccc" ]] ; then
ewarn "Perl will not be built with berkdb support, use gcc if you needed it..."
myconf -Ui_db -Ui_ndbm
fi
use ithreads && myconf -Dusethreads